> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firedrill.run/llms.txt
> Use this file to discover all available pages before exploring further.

# List immutable attempts in a drill suite



## OpenAPI

````yaml /api-reference/openapi.json get /v1/ci/suites/{ciSuiteId}/cases
openapi: 3.1.0
info:
  title: Firedrill Control API
  version: 1.0.0
  description: >-
    The control plane for drills, drill runs, and the worlds they run in. Errors
    always carry the canonical envelope; unsafe operations require an
    Idempotency-Key; long work returns an operation resource.
servers:
  - url: https://api.firedrill.run
security:
  - controlCredential: []
tags:
  - name: authentication
    description: Sessions, CLI exchange, credentials, and verification keys.
    x-group: Authentication
  - name: organizations
    description: Organization members, billing, usage, retention, audit, and exports.
    x-group: Organizations
  - name: projects
    description: Project lifecycle, access, grants, and repository bindings.
    x-group: Projects
  - name: builds
    description: Immutable builds, uploads, source drafts, and world definitions.
    x-group: Builds and source
  - name: tools
    description: Project Tool discovery, approval, source, and revocation.
    x-group: Tool library
  - name: worlds
    description: >-
      Managed environments, world sessions, state, time, reset, faults, forks,
      and snapshots.
    x-group: Environments and sessions
  - name: runs
    description: >-
      Hosted runs, comparisons, attachments, reports, evidence bundles, sharing,
      and exports.
    x-group: Runs and evidence
  - name: browser
    description: Managed browser tests, runs, messages, streams, frames, and artifacts.
    x-group: Browser testing
  - name: callbacks
    description: Callback receiver approval, revocation, and signing material.
    x-group: Callbacks
  - name: github-ci
    description: >-
      GitHub installations, repository automation, CI suites, cases, evidence,
      and checks.
    x-group: GitHub and CI
  - name: authoring
    description: Authoring sessions, proposals, turns, and scenario proposals.
    x-group: Cloud authoring
paths:
  /v1/ci/suites/{ciSuiteId}/cases:
    get:
      tags:
        - github-ci
      summary: List immutable attempts in a drill suite
      operationId: ci.suites.listCases
      parameters:
        - name: ciSuiteId
          in: path
          required: true
          schema:
            type: string
            pattern: ^cisuite_[0-9a-z]{12,32}$
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            minLength: 1
            maxLength: 2048
        - name: limit
          in: query
          required: false
          schema:
            default: 50
            type: integer
            minimum: 1
            maximum: 100
      responses:
        '200':
          description: Suite cases
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CiCasePage'
        default:
          description: Canonical error envelope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
components:
  schemas:
    CiCasePage:
      type: object
      properties:
        items:
          maxItems: 100
          type: array
          items:
            type: object
            properties:
              schemaVersion:
                type: number
                enum:
                  - 1
              ciCaseId:
                type: string
                pattern: ^cicase_[0-9a-z]{12,32}$
              ciSuiteId:
                type: string
                pattern: ^cisuite_[0-9a-z]{12,32}$
              side:
                type: string
                enum:
                  - baseline
                  - candidate
              revision:
                type: string
                pattern: ^[0-9a-f]{40}$
              buildHash:
                type: string
                pattern: ^sha256:[0-9a-f]{64}$
              drillId:
                type: string
                minLength: 1
                maxLength: 96
                pattern: ^[a-z][a-z0-9]*(?:[-_][a-z0-9]+)*$
              targetId:
                type: string
                minLength: 1
                maxLength: 96
                pattern: ^[a-z][a-z0-9]*(?:[-_][a-z0-9]+)*$
              classification:
                type: string
                enum:
                  - contract
                  - safety
                  - quality
              trial:
                type: integer
                minimum: 0
                exclusiveMinimum: true
                maximum: 10000
              trialCount:
                type: integer
                minimum: 0
                exclusiveMinimum: true
                maximum: 10000
              attempt:
                type: integer
                minimum: 0
                exclusiveMinimum: true
                maximum: 11
              attemptLimit:
                type: integer
                minimum: 0
                exclusiveMinimum: true
                maximum: 11
              seed:
                type: string
                pattern: ^(0|[1-9]\d{0,19})$
              timeoutMs:
                type: integer
                minimum: 0
                exclusiveMinimum: true
                maximum: 86400000
              state:
                type: string
                enum:
                  - pending
                  - provisioning
                  - awaiting_agent
                  - submitted
                  - passed
                  - failed
                  - inconclusive
                  - error
                  - cancelled
              sessionId:
                type: string
                pattern: ^ses_[0-9a-z]{12,32}$
              hostedRunId:
                type: string
                pattern: ^hrun_[0-9a-z]{12,32}$
              evidenceBundleId:
                type: string
                pattern: ^evidence_[0-9a-z]{12,32}$
              verdict:
                type: string
                enum:
                  - passed
                  - failed
                  - inconclusive
              failure:
                type: object
                properties:
                  schemaVersion:
                    type: number
                    enum:
                      - 1
                  code:
                    type: string
                    pattern: ^[a-z][a-z0-9-]*\.[A-Z][A-Z0-9_]*$
                  source:
                    type: string
                    enum:
                      - framework
                      - world
                      - tool
                      - target
                      - assertion
                      - reporter
                      - control
                  message:
                    type: string
                    minLength: 1
                    maxLength: 4000
                  retryable:
                    type: boolean
                  correlationId:
                    type: string
                    pattern: ^corr_[A-Za-z0-9][A-Za-z0-9_-]{5,95}$
                  issues:
                    default: []
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: string
                          minLength: 1
                          maxLength: 128
                        message:
                          type: string
                          minLength: 1
                          maxLength: 2000
                        path:
                          type: array
                          items:
                            anyOf:
                              - type: string
                              - type: integer
                                minimum: 0
                                maximum: 9007199254740991
                        suggestion:
                          type: string
                          minLength: 1
                          maxLength: 4000
                      required:
                        - code
                        - message
                      additionalProperties: {}
                  details:
                    type: object
                    additionalProperties:
                      $ref: '#/components/schemas/CiCasePage___schema0'
                  evidence:
                    type: object
                    properties:
                      runId:
                        type: string
                        pattern: ^run_[A-Za-z0-9][A-Za-z0-9_-]{5,95}$
                      sequence:
                        type: integer
                        minimum: 0
                        exclusiveMinimum: true
                        maximum: 9007199254740991
                    additionalProperties: {}
                required:
                  - schemaVersion
                  - code
                  - source
                  - message
                  - retryable
                  - issues
                additionalProperties: {}
              createdAtMs:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
              updatedAtMs:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
              finishedAtMs:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
            required:
              - schemaVersion
              - ciCaseId
              - ciSuiteId
              - side
              - revision
              - buildHash
              - drillId
              - targetId
              - classification
              - trial
              - trialCount
              - attempt
              - attemptLimit
              - seed
              - timeoutMs
              - state
              - createdAtMs
              - updatedAtMs
            additionalProperties: false
        nextCursor:
          type: string
          minLength: 1
          maxLength: 2048
      required:
        - items
      additionalProperties: false
    ErrorEnvelope:
      type: object
      properties:
        code:
          type: string
          pattern: ^(control|world)\.[A-Z][A-Z0-9]*(_[A-Z0-9]+)*$
        message:
          type: string
          minLength: 1
        correlationId:
          type: string
          minLength: 1
        retryable:
          type: boolean
        retryAfterMs:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        operationId:
          type: string
        source:
          type: string
          enum:
            - platform
            - simulated_provider
        issues:
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              code:
                type: string
              message:
                type: string
            required:
              - path
              - code
              - message
            additionalProperties: false
        details:
          type: object
          propertyNames:
            type: string
          additionalProperties: {}
        evidence:
          type: object
          properties:
            sessionId:
              type: string
            runId:
              type: string
            journalSeq:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            buildHash:
              type: string
          additionalProperties: false
      required:
        - code
        - message
        - correlationId
        - retryable
        - source
      additionalProperties: true
    CiCasePage___schema0:
      description: Any JSON-compatible value
  securitySchemes:
    controlCredential:
      type: http
      scheme: bearer
      description: Opaque control credential

````